<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 09일 화요일 오전 02시 39분 / 맑음, 11.2, 일교차 주의, 18, 8, 1%, 0%, 1.9ms / 매우 나쁨, 85, 66

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 내 카페 > 회원 탈퇴 > 처리하기
=====================================================================


*/

  include_once('./_common.php');

  $member_login_only_n = 1;

  include_once( piree__path($piree_prog_a[770099]['num'], '_CAFE.INFO.CHECK.inc.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'form.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

    IF ( $cafe_member_a['cafe_mem_level_n'] == 250 )
    {
      alert("피리 카페 주인은 탈퇴할 수 없습니다.");
    }

    $sql_delete  = "DELETE FROM `". $piree['cafe_member'] ."` ";
    $sql_delete .= "WHERE `cfml_cafe_n` = '". $piree_cafe_n ."' AND `cfml_mem_id` = '". $member['mb_id'] ."'";

    IF ( !sql_query($sql_delete) )
    {
      alert("피리 카페 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ] 에서\\n\\n회원 탈퇴 하지 못하였습니다.");
    }

    $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_member'] ."` ";
    $sql_select .= "WHERE `cfml_cafe_n` = '". $piree_cafe_n ."'";
    $piree_cafe_member_t = (int)sql_efv($sql_select);

    $sql_update  = "UPDATE `". $piree['cafe'] ."` SET ";
    $sql_update .= "`cafe_member_t` = '". $piree_cafe_member_t ."' ";
    $sql_update .= "WHERE `cafe_row_n` = '". $piree_cafe_n ."'";

    IF ( !sql_query($sql_update) )
    {
      alert("피리 카페 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ] 의\\n\\nROW의 회원수를 새로고침하지 못했습니다.");
    }

  $go_url_s = PIREE_CAFE_MAIN_URL ."?piree_cafe_n=". $piree_cafe_n;

  alert("피리 카페 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ]에서\\n\\n회원 탈퇴 하였습니다.", $go_url_s, 0);

  goto_url($go_url_s);
  EXIT;

?>

?>